Subject: [quicwg/base-drafts] bc19b6: WIP: Reorganize QPACK

From: Alan Frindell <[email-masked]>
Date: Mon, 29 Oct 2018 17:24:37 -0700

Branch: refs/heads/reorg-qpack
  Home:   https://github.com/quicwg/base-drafts
  Commit: bc19b645446fc039c25e23a8c515d233f928f372
      https://github.com/quicwg/base-drafts/commit/bc19b645446fc039c25e23a8c515d233f928f372
  Author: Alan Frindell <[email-masked]>
  Date:   2018-10-29 (Mon, 29 Oct 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  WIP: Reorganize QPACK

Added a "Compression Process Overview" section near the top, with a high level description of how to compress/decompress.  This section now encompasses a lot of what used to be "Encoding Strategies".

In the places where I added new text, I temporarily added HTML comments to indicicate so it can get a bit more detailed review.

I also deleted a few sentences/paragraphs/sections that I found to be redundant:

- Preventing Eviction Races
- "An encoder also respects..."
- "For header blocks encoded in..."
- Single Pass Encoding
- "All table updates occur on..."

  Commit: 6ff9fda2a2e74b5a29fe26a81b57579e07f54283
      https://github.com/quicwg/base-drafts/commit/6ff9fda2a2e74b5a29fe26a81b57579e07f54283
  Author: Alan Frindell <[email-masked]>
  Date:   2018-10-29 (Mon, 29 Oct 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Address most editorial comments

Not addressed:

1. I left the drawing with 'Draining Entries' without a specific definition in the text.  I think it can be interpreted OK, and 'Unreferencable' isn't actually true.

2. With respect to leaving blocked data in flow control, I changed should to SHOULD instead of can.  My understanding is that you don't have to do a SHOULD, if you have a good reason?  It's important enough that we want to convey more than ability.

3. I skipped redoing the indexing diagram for its own commit

4. I haven't moved the TSS guidance out of the TSS instruction section yet.  I can't lift the whole paragraph without refactoring some of the other text.

5. I think peer's encoder/decoder is correctly possessive.  Doesn't the coder belong to the peer?

6.  I removed all the instances of 'A decoder', but there are still a bunch of references to 'An encoder'.  I'm not sure if the consistency is an improvement in readability yet, so delaying changing more pending feedback.

Compare: https://github.com/quicwg/base-drafts/compare/9e565628e065...6ff9fda2a2e7
      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.